Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1685446 - Using -http-port flag with default configuration has no effect
Summary: Using -http-port flag with default configuration has no effect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: caddy
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-05 09:09 UTC by Mohamed Akram
Modified: 2019-03-29 19:10 UTC (History)
1 user (show)

Fixed In Version: caddy-0.11.4-1.fc28 caddy-0.11.4-1.fc29 caddy-0.11.4-1.el7 caddy-0.11.4-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-15 03:35:19 UTC


Attachments (Terms of Use)

Description Mohamed Akram 2019-03-05 09:09:50 UTC
Description of problem:

Using the -http-port flag with the default caddy configuration provided at /etc/cadddy/caddy.conf has no effect.

Version-Release number of selected component (if applicable):
0.11.1

How reproducible:
100%

Steps to Reproduce:
1. Run `caddy -conf /etc/caddy/caddy.conf -http-port 8080`

Actual results:
Caddy binds to port 80.

Expected results:
Caddy binds to port 8080.

Additional info:
This can be fixed by modifying the config file to use "http://" instead of ":80".

Comment 1 Fedora Update System 2019-03-06 02:41:19 UTC
caddy-0.11.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-64a08092c2

Comment 2 Fedora Update System 2019-03-06 02:41:25 UTC
caddy-0.11.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2207519273

Comment 3 Fedora Update System 2019-03-06 02:41:32 UTC
caddy-0.11.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c0db6256cd

Comment 4 Fedora Update System 2019-03-06 02:41:39 UTC
caddy-0.11.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-011a4ec278

Comment 5 Fedora Update System 2019-03-06 15:13:08 UTC
caddy-0.11.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-011a4ec278

Comment 6 Fedora Update System 2019-03-06 15:57:21 UTC
caddy-0.11.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c0db6256cd

Comment 7 Fedora Update System 2019-03-06 16:14:37 UTC
caddy-0.11.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-64a08092c2

Comment 8 Fedora Update System 2019-03-06 22:53:54 UTC
caddy-0.11.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2207519273

Comment 9 Fedora Update System 2019-03-15 03:35:19 UTC
caddy-0.11.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-03-15 18:29:08 UTC
caddy-0.11.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-03-21 22:49:50 UTC
caddy-0.11.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-03-29 19:10:16 UTC
caddy-0.11.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.